Confirm User Signup
POST
/auth/confirm
const url = 'https://api.exolink.cloud/auth/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"hello@example.com","code":"873858","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/auth/confirm \ --header 'Content-Type: application/json' \ --data '{ "username": "hello@example.com", "code": "873858", "password": "example" }'Confirm user registration with verification code
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
username
required
User’s email address
string format: email
code
required
Verification code sent to email
string
Example
873858password
required
User’s password
string format: password
Responses
Section titled “Responses”User confirmed successfully
Media typeapplication/json
object
Token
Authentication tokens
object
AccessToken
JWT access token for API requests
string
RefreshToken
Token for refreshing access tokens
string
IdToken
ID token containing user identity claims
string
UserInfo
object
userId
Unique identifier for the user (UUID)
string
username
User’s email address
string
email
User’s email address
string
givenName
User’s first name
string
familyName
User’s last name
string
mfa
Whether multi-factor authentication is enabled
boolean
perms
User permissions per tenant (tenant domain prefix -> role mapping)
object
key
additional properties
string
Settings
User settings including default tenant
object
default
object
tenant
Default tenant domain prefix
string
Examplegenerated
{ "Token": { "AccessToken": "example", "RefreshToken": "example", "IdToken": "example" }, "UserInfo": { "userId": "example", "username": "example", "email": "example", "givenName": "example", "familyName": "example", "mfa": true, "perms": { "additionalProperty": "example" } }, "Settings": { "default": { "tenant": "example" } }}